libzypp: zypp::repo::RepoType Struct Reference

libzypp 17.38.13

zypp::repo::RepoType Struct Reference

Repository type enumeration. More...

`#include <zypp/repo/RepoType.h>`

## Public Types
enum | Type { NONE_e , RPMMD_e , YAST2_e , RPMPLAINDIR_e }

## Public Member Functions
| RepoType ()
| RepoType (Type type)
| RepoType (const std::string &strval_r)
Type | toEnum () const
RepoType::Type | parse (const std::string &strval_r)
const std::string & | asString () const

## Public Attributes
Type | _type

## Static Public Attributes
static const RepoType | RPMMD
static const RepoType | YAST2
static const RepoType | RPMPLAINDIR
static const RepoType | NONE

## Detailed Description

Repository type enumeration.

Repositories can be from varous types ...

Definition at line 28 of file RepoType.h.

## Member Enumeration Documentation

## ◆ Type

enum zypp::repo::RepoType::Type

Enumerator
NONE_e |
RPMMD_e |
YAST2_e |
RPMPLAINDIR_e |

Definition at line 35 of file RepoType.h.

## Constructor & Destructor Documentation

## ◆ RepoType() [1/3]

zypp::repo::RepoType::RepoType | ( |  | ) |
| inline

Definition at line 43 of file RepoType.h.

## ◆ RepoType() [2/3]

zypp::repo::RepoType::RepoType | ( | Type | type | ) |
| inline

Definition at line 45 of file RepoType.h.

## ◆ RepoType() [3/3]

zypp::repo::RepoType::RepoType | ( | const std::string & | strval_r | ) |
| explicit

Definition at line 42 of file RepoType.cc.

## Member Function Documentation

## ◆ toEnum()

Type zypp::repo::RepoType::toEnum | ( |  | ) | const
| inline

Definition at line 49 of file RepoType.h.

## ◆ parse()

RepoType::Type zypp::repo::RepoType::parse | ( | const std::string & | strval_r | ) |

Definition at line 46 of file RepoType.cc.

## ◆ asString()

const std::string & zypp::repo::RepoType::asString | ( |  | ) | const

Definition at line 56 of file RepoType.cc.

## Member Data Documentation

## ◆ RPMMD

const RepoType zypp::repo::RepoType::RPMMD
| static

Definition at line 30 of file RepoType.h.

## ◆ YAST2

const RepoType zypp::repo::RepoType::YAST2
| static

Definition at line 31 of file RepoType.h.

## ◆ RPMPLAINDIR

const RepoType zypp::repo::RepoType::RPMPLAINDIR
| static

Definition at line 32 of file RepoType.h.

## ◆ NONE

const RepoType zypp::repo::RepoType::NONE
| static

Definition at line 33 of file RepoType.h.

## ◆ _type

Type zypp::repo::RepoType::_type

Definition at line 55 of file RepoType.h.

The documentation for this struct was generated from the following files:

- zypp/repo/RepoType.h
- zypp/repo/RepoType.cc